Package org.eclipse.emf.cdo.transaction

# Interface CDOTransaction.Options.AutoReleaseLocksEvent

All Superinterfaces:
  `org.eclipse.net4j.util.event.IEvent`, `org.eclipse.net4j.util.options.IOptionsEvent`

All Known Subinterfaces:
  `CDOTransaction.Options.AutoReleaseLocksEvent.AutoReleaseLocksEnabledEvent`, `CDOTransaction.Options.AutoReleaseLocksEvent.AutoReleaseLocksExemptionsEvent`

Enclosing interface:
  CDOTransaction.Options

public static interface CDOTransaction.Options.AutoReleaseLocksEvent extends org.eclipse.net4j.util.options.IOptionsEvent
An `options event` fired from transaction `options` when the `auto release locks enabled` or `auto release locks exemptions` options have changed.

Since:
  3.0
Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static interface`
`CDOTransaction.Options.AutoReleaseLocksEvent.AutoReleaseLocksEnabledEvent`
An `auto release locks options event` fired from transaction `options` when the `auto release locks enabled` option has changed.
`static interface`
`CDOTransaction.Options.AutoReleaseLocksEvent.AutoReleaseLocksExemptionsEvent`
An `auto release locks options event` fired from transaction `options` when the `auto release locks exemptions` option has changed.

## Method Summary

### Methods inherited from interface org.eclipse.net4j.util.options.IOptionsEvent

`getSource`